> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/enums/easingdirection.md).

# EasingDirection

## Overview

EasingDirection는 이징(easing) 계산의 방향을 지정하는 Enum입니다.

이징은 애니메이션이나 계산된 값에서 부드러운 전환을 만들기 위해 사용되는 변화율을 결정합니다. TweenInfo의 EasingDirection 속성에서 사용됩니다.

## Items

| Name  | Value | Description                                               |
| ----- | ----- | --------------------------------------------------------- |
| In    | 0     | 이징 효과가 정방향으로 적용되며, 느리게 시작하여 속도가 증가합니다.                    |
| Out   | 1     | 이징 효과가 역방향으로 적용되며, 빠르게 시작하여 속도가 감소합니다.                    |
| InOut | 2     | 이징 효과가 전반부에는 정방향으로, 후반부에는 역방향으로 적용되어 대칭적이고 부드러운 전환을 만듭니다. |

## See also

{% content-ref url="/pages/q6qX51Q9J4H8lZcz02Qt" %}
[TweenInfo](/korean/development/api-reference/datatype/tweeninfo.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/easingdirection.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
